Subject: [lojban] Re: loi preti be fi lo nincli zo'u tu'e

From: Martin Bays <[email-masked]>
Date: Mon, 27 Jan 2003 23:29:53 +0000 (GMT)

Sorry I'm so late to reply - I haven't been getting list emails since
saturday, just happened to amble onto the Yahoo version. I don't remember
offending anyone enough to motivate them to chuck me off the list... did
I?

'Scuse weird formatting - copy&pasted from Yahoo

General comment: Math World defines set difference in exactly the way
that I first did, i.e. A\B == A {intersect} !B.

Sort of.

See [26]http://mathworld.wolfram.com/ComplementSet.html

Yes, but it only really works if you've got a universal set to take the
complement in. Admittedly, any superset of A U B will work, but it still
seems a bit dodgy if we don't define one.

Then again, I don't think it's any less dodgy than the frequent use of {ro
da} with a poi clause (like the one in my definition below), so maybe it's
not worth worrying about.

> [lujvo for set operations]...

> How about kaxselcmi and vlinyselcmi?

Ooh, I like those.

> Just an idea. I'm not sure I like using cec, by the way - to me it
> suggests finite sets, when we need a more general term.

OK, I can see your point there.

> Actually, I've just discovered that jo'e, ku'a and pi'u have rafsi
(jom,
> kuz and piv) - though I'm not sure what to stick them to. I guess
selcmi
> would have to do.

<nod> That still leaves us without set difference, but vlinyselcmi
will do.

Sorry? vlinyselcmi was meant to be union. Actually, wouldn't plain vicmu
do for set difference?

> Now we need 2 or 3 versions of the operations - one for the
> union/intersection of two sets, one for countably many, and one
over
> an arbitrary set.

Heh. We do? 8) Oh, you're talking about little-upside-down-U versus
big-upside-down-U which acts like big Sigma.

Kind of, except the big Sigma always has an explicit range over variables
(for i from 1 to n, or for i in I), whereas plain Big Intersection
followed by a set means... well, what I tried to lojbanise below.

> NN gives lujvo for the first two (selcmipi'i and sosyselcmipi'i).
We
> might just want to have the second, since the first is a special
case.
> The third, continuing the pattern, would I guess be sorselcmipi'i,
> with place structure "x1 is the intersection over x2" - i.e.
>
> go ca'e ko'a sorselcmipi'i ko'e
> gi ro da zo'u
> go da cmima ko'a gi da cmima ro de poi cmima ko'e

IFF I define X as the intersection over the set of sets? Y, then for
all
x, IFF x is a member of X then x is a member of all y which are
members
of Y.

Yep.

Perhaps that "da cmima ro de" should be "da dunli de" (x is equal to
one
of the sets in Y)?

Nope. That would mean something is in ko'a iff it's in ko'e - i.e. ko'a ==
ko'e (by extensionality).

Maybe a simple example would help -
A (intersection) B == (Big intersection) {A,B}

Something is in A (intersection) B iff it's in A and it's in B - i.e. iff
it's in everything which is in {A,B}.

> ...I think. Sim. for union. With that it *should* be possible to
do
> all the basic set theory you want, though maybe not always
elegantly.

Works for me so far. 8)

> Any idea, for example, how best to translate ('scuse amateur ASCII
> graphics):
>
> | |
> | | A
> \_/ i
> i in I
>
> ("The union over I of A sub i"), which is the same as
>
> | |
> | | {A : i in I}
> \_/ i
>
> where that big union is my sorselcmipi'i (or sorkuzselcmi)? Do we
need
> yet another lujvo, or is there a nice translation of that set? I
don't
> think {lu'i .abu boi xi .ibu poi .ibu cmima tau .ibu} really
works.

The set of A_i where i is a member of I. Looks fine to me.

Really? Cool. I'm still not sure I like it, though, if only because I'm
not completely sure how quantification with letterals (and other non-DA
pro-sumti) really works. And also what poi-clauses without a ke'a mean.
Are they really just the equivalent of the English "such that", or the
mathematical "s.t."/":"/"|"? Don't suppose you could point me towards
something which explains it all?

> Clues, anyone?

I think "sorkuzselcmi .abu boi xi da poi ro cmima tau .ibu" works a
bit
better. Except it doesn't, because apparently you can't have xi da,
which is disturbing. 8P

I know, which is one reason why I wish I understood letteral
quantification. Also - your poi clause isn't a bridi, and I can't work out
for sure what it was meant to be. {ro da cmima...}? Does that work?

> > > > > > I would like to translate something mathematical and
> > > > > > substantial; got any contacts that would like to let us
> > > > > > release a translated paper?
> > > > >
> > > > > Ummm... I guess I could ask someone. Can you be more
specific?
> > > > > Do you just want some random high-powered maths research?
> > > >
> > > > What I'd *really* like to do would be a textbook (or, more
> > > > likely, a portion thereof), precisely for reasons of
> > > > comprehensibility.
> > > >
> > >
> > > That's actually a very good idea. What kind of subject do you
> > > want? I (very very vaguely) know the author of a nice+simple
> > > complex analysis book, which should be suited to mex. Or else
name
> > > a subject and I'll see what I can do.
> >
> > Complex analysis would be cool. I'd also enjoy cryptography, set
> > theory, or subatomic physics. Game theory would be hella cool.
> >
> > Hmmm...
> >
> > My old Cryptography professor might actually be willing to let
me
do
> > his book. I was supremely fortunate to have
> > [28]http://www.cacr.math.uwaterloo.ca/~ajmeneze/ as my crypto
prof.
> >
> > Unfortunately, Handbook of Applied is already freely available,
> > which defeats part of my idea (translate something that people
> > wouldn't be able to easily get in English, at least without
paying,
> > and might actually want).
> >
>
> I'm afraid I don't have any tutors/lecturers who've written
anything
> especially cool... but if the crypto thing doesn't work out give
me
a
> shout and I'll see if I can do 'owt.

'owt?

Sorry, couldn't resist continuing the inadvertant rhyming. (It's the
opposite of "nowt", if that was a ki'a) (except maybe it should just be
"owt").

Well, if you don't mind giving a shot at the complex analysis
thing, I'd appreciate it.

Then I will.

I'll mail my crypto prof about his
Elliptic Curves book, if anyone's interested in reading a book on
elliptic
curve cyphers. 8)

In lojban? Of course!

BTW, I'm nearly done with

[29]http://www.digitalkingdom.org/~rlpowell/hobbies/lojban/algebra.txt

Pretty impressive. Which I guess is a compliment to Nick's translation
skills, your translation skills, and the ability of Lojban to represent
maths. Huzzah all round!

---

#^t'm::>#shs>:#,_$1+9j9"^>h>" < v
:>8*0\j" o'u" v" e'i" v".neta"^q>
;z,[; > > ^